apiVersion: leaderworkerset.x-k8s.io/v1
kind: LeaderWorkerSet
metadata:
  name: leaderworkerset-rollout
  namespace: test-lws4
  # labels:
  #   kueue.x-k8s.io/queue-name: user-queue
spec:
  rolloutStrategy:
    type: RollingUpdate
    rollingUpdateConfiguration:
      maxUnavailable: 2
      maxSurge: 2
  replicas: 4
  leaderWorkerTemplate:
    size: 1
    workerTemplate:
      spec:
        containers:
        - name: container
          image: quay.io/prometheus/busybox:latest
          command:
          - sh
          - -c
          - sleep 3000
          resources:
            limits:
              cpu: "100m"
            requests:
              cpu: "50m"
          ports:
          - containerPort: 8080
